<script setup>
import { RouterView } from "vue-router";
import Footer from '@/components/Footer.vue'
import SideNavbar from '@/components/SideNavbar.vue'
import TopNavbar from '@/components/TopNavbar.vue'
defineProps({
  msg: {
    type: String,
    required: true,
  },
});
</script>

<template>
  <div class="wrapper">
    <SideNavbar />
    <TopNavbar />
    <div class="content-page">
      <RouterView />
    </div>
  </div>
  <Footer />
</template>

<style scoped>
h1 {
  font-weight: 500;
  font-size: 2.6rem;
  top: -10px;
}

h3 {
  font-size: 1.2rem;
}

.greetings h1,
.greetings h3 {
  text-align: center;
}

@media (min-width: 1024px) {
  .greetings h1,
  .greetings h3 {
    text-align: left;
  }
}
</style>
